- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# FMath/FMath.h File Reference

The file containing functions and constants for math. More...

`#include <math.h>`
`#include "FMath/FMFloat.h"`
`#include "FMath/FMArray.h"`
`#include "FMath/FMArrayPointer.h"`
`#include "FMath/FMTree.h"`
`#include "FMath/FMInteger.h"`
`#include "FMath/FMVector2.h"`
`#include "FMath/FMVector3.h"`
`#include "FMath/FMVector4.h"`
`#include "FMath/FMColor.h"`
`#include "FMath/FMMatrix33.h"`
`#include "FMath/FMMatrix44.h"`

Go to the source code of this file.

## Namespaces
namespace | FMath
## Typedefs
typedef fm::vector< double, true > | DoubleList
| A dynamically-sized array of double-sized floating-point values.
typedef fm::vector< float, true > | FloatList
| A dynamically-sized array of floating-point values.
typedef fm::vector< int, true > | IntList
| A dynamically-sized array of integer values.
## Enumerations
enum | FMath::AXIS { FMath::X = 0, FMath::Y, FMath::Z, FMath::W, FMath::TRANS = W }
| Numerical values for the different axis of the standard axis system. More...
## Functions
template<class T>
bool | IsEquivalent (const T &v1, const T &v2)
| Retrieves whether two values are equivalent.
double | FMath::RadToDeg (double val)
| Convert radians to degrees.
float | FMath::RadToDeg (float val)
| Convert radians to degrees.
double | FMath::DegToRad (double val)
| Convert degrees to radians.
float | FMath::DegToRad (float val)
| Convert degrees to radians.
int | FMath::IsNotANumber (float f)
| Determines if given float is encoding for not a number (NAN).
template<class T>
T | FMath::Sign (const T &val)
| Retrieves the sign of a number.
template<class T, class T2, class T3>
T | FMath::Clamp (T val, T2 mn, T3 mx)
| Clamps the specified object within a range specified by two other objects of the same class.
template<class T, class T2, class T3>
T | FMath::Wrap (T val, T2 mn, T3 mx)
| Wraps the specified object within a range specified by two other objects of the same class.
template<>
float | FMath::Wrap (float val, float mn, float mx)
| Template specializations of the Wrap method.
template<>
double | FMath::Wrap (double val, double mn, double mx)
| See above.
template<>
int | FMath::Wrap (int val, int mn, int mx)
| See above.
template<>
uint32 | FMath::Wrap (uint32 val, uint32 mn, uint32 mx)
| See above.
## Variables
const double | FMath::Pi = 3.14159265358979323846264338327950288419716939937510
| Mathematical value of pi to 50 decimals.
const float | FMath::Pif = 3.14159265358979323846264338327950288419716939937510f
| See above.

## Detailed Description

The file containing functions and constants for math.

## Function Documentation

template<class T>
bool IsEquivalent | ( | const T & | v1,
|  | const T & | v2
| ) |

  | Retrieves whether two values are equivalent. This template simply calls the operator== on the two values. Parameters:
  | v1 | A first value.
  | v2 | A second value.
Returns: Whether the two values are equivalent.